## lyx 2.1.4

=== development/checkurls/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2013 Kornel Benko <kornel@lyx.org>
#           (c) 2013 Scott Kostyshak <skotysh@lyx.org>
#
# Needed, because of perl scripts here
find_package(Perl REQUIRED)

# create file the lyx-files-list
set(TOP_SEARCH_PATH "${TOP_SRC_DIR}")
set(LYXFILES_FILE "${CMAKE_CURRENT_BINARY_DIR}/filesToScan")
file(WRITE "${LYXFILES_FILE}")
file(GLOB_RECURSE lyx_files RELATIVE "${TOP_SEARCH_PATH}" "${TOP_SEARCH_PATH}/*.lyx")

foreach(_f ${lyx_files})
  file(APPEND "${LYXFILES_FILE}" "${_f}\n")
endforeach()

# Define the perl-script running the actual test
set(SEARCH_URL_SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/search_url.pl")

# Test used and as accessible expected urls
add_test(NAME "check_accessible_urls"
  WORKING_DIRECTORY "${TOP_SEARCH_PATH}"
  COMMAND ${PERL_EXECUTABLE} "${SEARCH_URL_SCRIPT}"
    "filesToScan=${LYXFILES_FILE}"
    "ignoredURLS=${CMAKE_CURRENT_SOURCE_DIR}/inaccessibleURLS"
    "ignoredURLS=${CMAKE_CURRENT_SOURCE_DIR}/knownInvalidURLS")

# Test inaccessible, but revert the error marker (failed <=> passed)
# if this fails, then some url is accessible and does not belong
# to file inaccessibleURLS
add_test(NAME "check_inaccessible_urls"
  WORKING_DIRECTORY "${TOP_SEARCH_PATH}"
  COMMAND ${PERL_EXECUTABLE} "${SEARCH_URL_SCRIPT}"
    "filesToScan=${LYXFILES_FILE}"
    "selectedURLS=${CMAKE_CURRENT_SOURCE_DIR}/inaccessibleURLS"
    "revertedURLS=${CMAKE_CURRENT_SOURCE_DIR}/inaccessibleURLS")

#
# Test our own bad urls
# and urls used in examples which should not match valid urls
# if this test fails, then our testtool contains errors
add_test(NAME "check_invalid_urls"
  WORKING_DIRECTORY "${TOP_SEARCH_PATH}"
  COMMAND ${PERL_EXECUTABLE} "${SEARCH_URL_SCRIPT}"
    "extraURLS=${CMAKE_CURRENT_SOURCE_DIR}/knownInvalidURLS"
    "revertedURLS=${CMAKE_CURRENT_SOURCE_DIR}/knownInvalidURLS")

set_tests_properties("check_accessible_urls" "check_inaccessible_urls" "check_invalid_urls"
        PROPERTIES RESOURCE_LOCK "url.lock" LABELS "url")

settestlabel("check_inaccessible_urls" "reverted")
settestlabel("check_invalid_urls" "reverted")

=== development/cmake/doc/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2008-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>
#

project(doc)

SET(_docs)
file(GLOB_RECURSE _rel_lyx_docs RELATIVE "${TOP_SRC_DIR}/lib/doc"
			"${TOP_SRC_DIR}/lib/doc/*.lyx"
			"${TOP_SRC_DIR}/lib/doc/*.txt"
			"${TOP_SRC_DIR}/lib/doc/*.tex")
list(REMOVE_ITEM _rel_lyx_docs LFUNs.lyx)

foreach(_rel_doc ${_rel_lyx_docs})
  if ("${_rel_doc}" MATCHES "/" )
    string(REGEX REPLACE "/[^/]*$" "" _rel_dir_part ${_rel_doc})
  else("${_rel_doc}" MATCHES "/")
    set(_rel_dir_part ".")
  endif("${_rel_doc}" MATCHES "/")
  set(_created_doc "${CMAKE_CURRENT_BINARY_DIR}/${_rel_doc}")
  get_filename_component(_doc_dir ${_created_doc} PATH)
  file(MAKE_DIRECTORY ${_doc_dir})
  #message("found relative file " ${_rel_doc})
  #message("input ${TOP_SRC_DIR}/lib/doc/${_rel_doc}")
  #message("output ${_created_doc}")
  #message("rel_dir_part ${_rel_dir_part}")
  SET_SOURCE_FILES_PROPERTIES(${_created_doc} GENERATED)
  add_custom_command(
    OUTPUT "${_created_doc}"
    COMMAND ${LYX_PYTHON_EXECUTABLE} "${TOP_CMAKE_PATH}/doc/ReplaceValues.py" "LYX_USERDIR_VER=${LYX_USERDIR_VER}" "LYX_DIR_VER=${LYX_DIR_VER}" "${TOP_SRC_DIR}/lib/doc/${_rel_doc}" > "${_created_doc}"
    DEPENDS "${TOP_SRC_DIR}/lib/doc/${_rel_doc}" "${TOP_CMAKE_PATH}/doc/ReplaceValues.py"
    )
  install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${_rel_doc}" DESTINATION "${LYX_DATA_SUBDIR}doc/${_rel_dir_part}")
  LIST(APPEND _docs "${_created_doc}")
endforeach(_rel_doc)

# Special commands to create and install LFUNs.lyx
add_custom_command(
  OUTPUT LFUNs.lyx
  COMMAND ${LYX_PYTHON_EXECUTABLE} "${TOP_SRC_DIR}/development/tools/gen_lfuns.py" "${TOP_SRC_DIR}/src/LyXAction.cpp" > LFUNs.lyx
  DEPENDS "${TOP_SRC_DIR}/development/tools/gen_lfuns.py" "${TOP_SRC_DIR}/src/LyXAction.cpp")
LIST(APPEND _docs "${CMAKE_CURRENT_BINARY_DIR}/LFUNs.lyx")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/LFUNs.lyx" DESTINATION "${LYX_DATA_SUBDIR}doc")

ADD_CUSTOM_TARGET(doc ALL DEPENDS ${_docs})

ADD_CUSTOM_TARGET(lfundoc DEPENDS LFUNs.lyx)

set_target_properties(doc lfundoc PROPERTIES FOLDER "doc")

=== debian/changelog ===
lyx (2.1.4-2) unstable; urgency=medium

  * Build-depend on dh-python.
  * Add workaround-gcc5-bug.patch: Workaround bug in GCC 5 which makes
    LyX crash when cutting emphasized text (for example). Closes:
    #799091.

 -- Per Olofsson <pelle@debian.org>  Thu, 17 Sep 2015 04:51:59 +0200

lyx (2.1.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS with boost 1.58. Closes: #797224.
    - Drop patch add-desktop-keywords; applied upstream.

 -- Per Olofsson <pelle@debian.org>  Sun, 06 Sep 2015 21:25:59 +0200

=== debian/control ===
Source: lyx
Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
Uploaders: Per Olofsson <pelle@debian.org>, Sven Hoexter <hoexter@debian.org>, Nick Andrik <nick.andrik@gmail.com>
Section: editors
Priority: optional
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-lyx/lyx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lyx/lyx.git
Homepage: http://www.lyx.org/
Build-Depends: python, debhelper (>= 9), dh-python, bc,
 libz-dev, libx11-dev, libenchant-dev, libmythes-dev,
 autotools-dev, libqt4-dev, libboost-dev, libmagic-dev,
 libboost-filesystem-dev, libboost-signals-dev,
 libboost-iostreams-dev, libboost-regex-dev, libboost-test-dev,
 pkg-config, tex-common

Package: lyx
Architecture: any
Replaces: lyx-common (<< 2.1.2-3)
Breaks: lyx-common (<< 2.1.2-3)
Depends: ${shlibs:Depends}, ${misc:Depends}, lyx-common (= ${source:Version}), xdg-utils
Recommends: texlive-latex-recommended, texlive-latex-extra, texlive-science, texlive-generic-recommended, texlive-generic-extra, texlive-fonts-recommended, preview-latex-style, dvipng, imagemagick, psutils, ghostscript, poppler-utils, fonts-lyx, evince-gtk | pdf-viewer, elyxer | tex4ht | hevea | tth | latex2html
Suggests: rcs, latex-xcolor, groff, libtiff-tools, gnuhtml2latex, wv, chktex, noweb, sgmltools-lite, linuxdoc-tools, writer2latex, latex2rtf, librsvg2-bin | inkscape, texlive-xetex, etoolbox, lyx-dbg (= ${binary:Version})
Description: document processor
 LyX is an almost WYSIWYG-frontend for LaTeX. It makes the power and
 typesetting quality of LaTeX available for people who are used to
 word processors. Since LyX supports LaTeX's concept of general
 mark-ups, it is even easier and faster to create professional quality
 documents with it than with usual word processors. It is also
 possible to use LaTeX commands within LyX, so nothing of LaTeX's
 power is lost.
 .
 You can extend the functionality of LyX by installing these packages:
  * chktex: check for typographical errors
  * gnuhtml2latex: import HTML documents
  * groff: improved table formatting in plain text exports
  * latex-xcolor: for coloured change tracking
  * librsvg2-bin, inkscape: use the SVG image format in LyX documents
  * linuxdoc-tools: export SGML LinuxDoc documents
  * mythes-*: use the OpenOffice.org/LibreOffice Thesaurus
  * noweb: import noweb files
  * rcs: integrated version control
  * sgmltools-lite: export SGML DocBook documents
  * texlive-xetex, etoolbox: use the XeTeX typesetting system
  * wv: import MS Word documents

Package: lyx-common
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${python:Depends}
Recommends: lyx
Description: architecture-independent files for LyX
 This package contains LyX's common files which are not
 architecture-dependent. See the lyx package for a description of LyX
 itself.

Package: lyx-dbg
Architecture: any
Depends: ${misc:Depends}, lyx (= ${binary:Version})
Section: debug
Priority: extra
Description: debugging symbols for LyX
 This package contains debugging symbols for LyX.

Package: fonts-lyx
Architecture: all
Multi-arch: foreign
Section: fonts
Depends: ${misc:Depends}
Description: TrueType versions of some TeX fonts used by LyX
 These fonts are needed for the visual math symbol display in
 LyX. They can also be used to display MathML in Gecko-based browsers
 like Iceweasel.
 .
 The following fonts are included in this package:
  * cmex10  - Computer Modern math extension
  * cmmi10  - Computer Modern math italic
  * cmr10   - Computer Modern Roman
  * cmsy10  - Computer Modern math symbols
  * esint10 - Alternate integrals
  * eufm10  - Euler Fraktur (medium-weight)
  * msam10  - Extra math symbols, first series
  * msbm10  - Extra math symbols, second series, including Blackboard Bold
  * wasy10  - Waldi symbol fonts

Package: ttf-lyx
Architecture: all
Section: oldlibs
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, fonts-lyx
Description: transitional package
 This package only exists to facilitate the renaming of ttf-lyx to
 fonts-lyx. You may safely remove this package once no other package
 depends on it.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_PREPEND := -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autotools_dev,python2,tex --builddirectory

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--disable-rpath \
		--enable-warnings \
		--enable-nls \
		--with-gnu-ld \
		--without-aspell \
		--without-hunspell \
		--with-enchant \
		--with-x \
		--without-included-gettext \
		--without-included-boost \
		--without-included-mythes \

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

override_dh_auto_install:
	dh_auto_install --destdir=debian/lyx-common

# move binaries to arch package
	mkdir -p debian/lyx/usr/share
	mv debian/lyx-common/usr/bin debian/lyx/usr/bin
	mv debian/lyx-common/usr/share/man debian/lyx/usr/share/man

# move desktop file and icons to general lyx directory
	mkdir -p debian/lyx/usr/share
	mv debian/lyx-common/usr/share/applications debian/lyx/usr/share
	mv debian/lyx-common/usr/share/icons debian/lyx/usr/share

# move fonts to font package
	mkdir -p debian/fonts-lyx/usr/share/fonts/truetype
	mv debian/lyx-common/usr/share/lyx/fonts \
		debian/fonts-lyx/usr/share/fonts/truetype/lyx

# move tex files to correct place
	mkdir -p debian/lyx-common/usr/share/texmf/tex/latex
	mv debian/lyx-common/usr/share/lyx/tex \
		debian/lyx-common/usr/share/texmf/tex/latex/lyx

# make sourced python scripts non-executable
	chmod 644 debian/lyx-common/usr/share/lyx/scripts/*.py

# handle font documentation
	mkdir -p debian/fonts-lyx/usr/share/doc/fonts-lyx
	mv debian/fonts-lyx/usr/share/fonts/truetype/lyx/ReadmeBaKoMa4LyX.txt \
		debian/fonts-lyx/usr/share/doc/fonts-lyx/
	rm debian/fonts-lyx/usr/share/fonts/truetype/lyx/BaKoMaFontLicense.txt

override_dh_installdocs:
	mkdir -p debian/lyx/usr/share/doc
	ln -s lyx-common debian/lyx/usr/share/doc/lyx

	mkdir -p debian/lyx-dbg/usr/share/doc
	ln -s lyx debian/lyx-dbg/usr/share/doc/lyx-dbg

	dh_installdocs

override_dh_python2:
	dh_python2 /usr/share/lyx

override_dh_installtex:
	dh_installtex -plyx-common

override_dh_strip:
	dh_strip --dbg-package=lyx-dbg

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
ftp://ftp.lyx.org/pub/lyx/stable/2.1.x/lyx-([\d\.]+)\.tar\.xz

## lyx 2.2.0

=== CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>

cmake_minimum_required(VERSION 2.6.4)

set(LYX_PROJECT LyX)

enable_testing()

get_filename_component(lyx_dir_readme ${CMAKE_SOURCE_DIR}/README REALPATH) # Resolve symlinks
get_filename_component(TOP_SRC_DIR ${lyx_dir_readme} PATH)
message(STATUS "TOP_SRC_DIR = ${TOP_SRC_DIR}")

set(LYX_CMAKE_DIR "development/cmake")
set(TOP_CMAKE_PATH "${TOP_SRC_DIR}/${LYX_CMAKE_DIR}")
set(TOP_MODULE_PATH "${TOP_CMAKE_PATH}/modules")
set(TOP_SCRIPT_PATH "${TOP_CMAKE_PATH}/scripts")

set(CMAKE_MODULE_PATH "${TOP_MODULE_PATH}")

set(CMAKE_PROJECT_NAME ${LYX_PROJECT})

message(STATUS)
if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
	message(STATUS "Building in-source")
	set(TOP_BINARY_DIR "${CMAKE_BINARY_DIR}/build")
else()
	message(STATUS "Building out-of-source")
	set(TOP_BINARY_DIR "${CMAKE_BINARY_DIR}")
endif()

# This directory should be used if some test uses lyx-executable
set(LYX_TESTS_USERDIR "${TOP_BINARY_DIR}/Testing/.lyx")
file(MAKE_DIRECTORY "${LYX_TESTS_USERDIR}")

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 OLD)
	cmake_policy(SET CMP0005 OLD)
	# Installing MACOSX_BUNDLE targets requires a BUNDLE DESTINATION
	cmake_policy(SET CMP0006 NEW)
	if(POLICY CMP0020)
		cmake_policy(SET CMP0020 OLD)
	endif()
	if(POLICY CMP0028)
		cmake_policy(SET CMP0028 OLD)
	endif()
	if(POLICY CMP0043)
		# COMPILE_DEFINITIONS are not used yet. Enable new behavior.
		cmake_policy(SET CMP0043 NEW)
	endif()
endif()

set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

# Supress regeneration
set(CMAKE_SUPPRESS_REGENERATION FALSE)

if(LYX_XMINGW)
    set(CMAKE_SYSTEM_NAME Windows)
    set(TOOLNAME ${LYX_XMINGW})
    set(TOOLCHAIN "${TOOLNAME}-")
    set(CMAKE_C_COMPILER   "${TOOLCHAIN}gcc"     CACHE PATH "Mingw C compiler" FORCE)
    set(CMAKE_CXX_COMPILER "${TOOLCHAIN}g++"     CACHE PATH "Mingw C++ compiler" FORCE)
    set(CMAKE_RC_COMPILER  "${TOOLCHAIN}windres" CACHE PATH "Mingw rc compiler" FORCE)

    set(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM BOTH)
    set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
    set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
endif()

if(NOT help AND NOT HELP)
  # 'project' triggers the searching for a compiler
  project(${LYX_PROJECT})
  if (CMAKE_COMPILER_IS_GNUCXX)
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.0")
      message(STATUS "Gnu CXX compiler version = ${CMAKE_CXX_COMPILER_VERSION}")
      message(STATUS "is too old, should be >= 4.0")
      message(FATAL_ERROR "Exiting")
    endif()
  endif()
endif()

if(UNIX)
	set(ARCH_TRIPLET )
	FIND_PROGRAM(DPKG_ARCHITECTURE_EXECUTABLE dpkg-architecture)
	if(DPKG_ARCHITECTURE_EXECUTABLE)
		EXECUTE_PROCESS(COMMAND ${DPKG_ARCHITECTURE_EXECUTABLE} -qDEB_HOST_MULTIARCH
				OUTPUT_VARIABLE ARCH_TRIPLET
				ERROR_VARIABLE ERROR_ARCH_TRIPLET
				OUTPUT_STRIP_TRAILING_WHITESPACE)
	endif()
endif()
if(ARCH_TRIPLET)
	set(SYSTEM_LIB_DIRS /usr/lib /usr/lib/${ARCH_TRIPLET} /usr/local/lib)
else()
	set(SYSTEM_LIB_DIRS /usr/lib /usr/local/lib)
endif()

include(LyXMacros)

# Usage LYX_OPTION
# 1. parameter: option name without prefix 'LYX_'
# 2. parameter: description
# 3. parameter: default value, ON or OFF
# 4. parameter: system on which option is used: ALL, GCC, MSVC, ...

# Usage LYX_COMBO
# 1. parameter: name without prefix 'LYX_'
# 2. parameter: description
# 3. parameter: default value
# 4-n parameter: possible other string values

LYX_OPTION_INIT()

# Options for all compilers/systems
LYX_OPTION(CPACK            "Use the CPack management (Implies LYX_INSTALL option)" OFF ALL)
LYX_OPTION(LOCALVERSIONING  "Add version info to created package name (only used if LYX_CPACK option set)" OFF ALL)
LYX_OPTION(INSTALL          "Build install projects/rules (implies a bunch of other options)" OFF ALL)
LYX_OPTION(NLS              "Enable Native Language Support (NLS)" ON ALL)
LYX_OPTION(REQUIRE_SPELLCHECK "Abort if no spellchecker available" OFF ALL)
LYX_OPTION(ASPELL           "Require aspell" OFF ALL)
LYX_OPTION(ENCHANT          "Require Enchant" OFF ALL)
LYX_OPTION(HUNSPELL         "Require Hunspell" OFF ALL)
LYX_OPTION(DEVEL_VERSION    "Build developer version" OFF ALL) 
LYX_OPTION(RELEASE          "Build release version, build debug when disabled" OFF ALL)
LYX_OPTION(DEBUG            "Enforce debug build"  OFF ALL)
LYX_OPTION(NO_OPTIMIZE      "Don't use any optimization/debug flags"  OFF ALL)
LYX_OPTION(PACKAGE_SUFFIX   "Use version suffix for packaging" ON ALL)
LYX_OPTION(PCH              "Use precompiled headers" OFF ALL)
LYX_OPTION(MERGE_FILES      "Merge source files into one compilation unit" OFF ALL)
LYX_OPTION(MERGE_REBUILD    "Rebuild generated files from merged files build" OFF ALL)
LYX_OPTION(QUIET            "Don't generate verbose makefiles" OFF ALL)
LYX_OPTION(INSTALL_PREFIX   "Install path for LyX" OFF ALL)
LYX_OPTION(BUNDLE           "Build bundle  (experimental) " OFF ALL)
LYX_OPTION(ENABLE_URLTESTS  "Enable for URL tests" OFF ALL)
LYX_OPTION(ENABLE_EXPORT_TESTS "Enable for export tests" OFF ALL)
LYX_OPTION(ASAN             "Use address sanitizer" OFF ALL)
LYX_COMBO(USE_QT            "Use Qt version as frontend" QT4 QT5)
LYX_OPTION(3RDPARTY_BUILD   "Build 3rdparty libs" OFF ALL)
LYX_COMBO(ENABLE_CXX11          "Build with options for c++11-mode" AUTO ON OFF)

# GCC specific
LYX_OPTION(PROFILE              "Build profile version" OFF GCC)
LYX_OPTION(EXTERNAL_BOOST       "Use external boost" OFF GCC)
LYX_OPTION(PROGRAM_SUFFIX       "Append version suffix to binaries" ON GCC)
LYX_OPTION(DEBUG_GLIBC          "Enable libstdc++ debug mode" OFF GCC)
LYX_OPTION(DEBUG_GLIBC_PEDANTIC "Enable libstdc++ pedantic debug mode" OFF GCC)
LYX_OPTION(STDLIB_DEBUG         "Use debug stdlib" OFF GCC)
LYX_OPTION(PROFILE              "Build with options for gprof" OFF GCC)

# MSVC specific
LYX_OPTION(CONSOLE               "Show console on Windows, enforce with =FORCE" ON MSVC)
LYX_OPTION(VLD                   "Use VLD with MSVC" OFF MSVC)
LYX_OPTION(WALL                  "Enable all warnings" OFF MSVC)
LYX_OPTION(CONFIGURE_CHECKS      "Also run configure checks for MSVC" OFF MSVC)
LYX_OPTION(DEPENDENCIES_DOWNLOAD "Download dependencies for MSVC 10" OFF MSVC)

# APPLE specific
LYX_OPTION(DMG                   "Build as Mac bundle, needed for .dmg  (experimental) " OFF MAC)
LYX_OPTION(COCOA                 "Use Cocoa on Mac" OFF MAC)


if(help OR HELP)
	message(STATUS)
	message(STATUS "Available options: (dis/enable with -DLYX_*=OFF/ON)")
	message(STATUS)
	LYX_OPTION_LIST_ALL(help)
	message(STATUS)
	RETURN()
endif()

# Check option dependencies

if(LYX_DMG)
	set(LYX_BUNDLE ON)
	set(LYX_CPACK ON)
endif()

if(LYX_CPACK)
	set(LYX_INSTALL ON)
endif()

if(LYX_INSTALL)
	set(LYX_NLS ON)
        if(WIN32 AND NOT MINGW)
		set(LYX_HUNSPELL ON)
	endif()
	if(LYX_CONSOLE MATCHES "FORCE")
		set(LYX_CONSOLE ON)
	else()
		set(LYX_CONSOLE OFF)
	endif()
	set(LYX_PACKAGE_SUFFIX ON)
	if(NOT LYX_DEBUG)
		set(LYX_RELEASE ON)
	endif()
	set(LYX_PROFILE OFF)
endif()


if(LYX_MERGE_FILES)
	set(LYX_PCH OFF)
else()
	set(LYX_MERGE_REBUILD OFF)
endif()


if(LYX_DEPENDENCIES_DOWNLOAD)
	message(STATUS)
    if(MSVC12)
        set(LYX_DEPENDENCIES_DIR ${TOP_BINARY_DIR}/msvc2013-deps)
        set(deps_files lyx-windows-deps-msvc2013.zip)
        set(deps_server http://ftp.lyx.de/LyX-Windows-Deps)
        set(GNUWIN32_DIR ${LYX_DEPENDENCIES_DIR}/lyx-windows-deps-msvc2013)
    else()
        set(LYX_DEPENDENCIES_DIR ${TOP_BINARY_DIR}/msvc2010-deps)
	    set(deps_files lyx20-deps-msvc2010-x86.zip)
	    set(deps_server http://downloads.sourceforge.net/project/lyx/Win_installers/Dependencies)
        set(GNUWIN32_DIR ${LYX_DEPENDENCIES_DIR}/deps20)
    endif()
    message(STATUS "Using downloaded dependencies in ${LYX_DEPENDENCIES_DIR}")
	foreach(it ${deps_files})
		set(already_downloaded already_downloaded-NOTFOUND CACHE PATH "downloaded" FORCE)
		find_file(already_downloaded ${it} "${LYX_DEPENDENCIES_DIR}/download")
		if(NOT already_downloaded)
			message(STATUS "Downloading ${it} ...")
			file(DOWNLOAD ${deps_server}/${it} ${LYX_DEPENDENCIES_DIR}/download/${it} SHOW_PROGRESS STATUS status LOG log)
			list(GET status 0 status_code)
			list(GET status 1 status_string)
			if(NOT status_code EQUAL 0)
				file(REMOVE ${LYX_DEPENDENCIES_DIR}/${it})
				message(FATAL_ERROR "error: downloading '${it}' failed. status_code: ${status_code}, status_string: ${status_string}. \nLog: ${log} ")
			endif()
			execute_process(COMMAND ${CMAKE_COMMAND} -E tar xzf ${LYX_DEPENDENCIES_DIR}/download/${it}
		                      WORKING_DIRECTORY ${LYX_DEPENDENCIES_DIR})
		endif()
	endforeach()
endif()



message(STATUS)

set(EXECUTABLE_OUTPUT_PATH  ${TOP_BINARY_DIR}/bin)
if(WIN32)
	set(LIBRARY_OUTPUT_PATH  ${EXECUTABLE_OUTPUT_PATH})
else()
	set(LIBRARY_OUTPUT_PATH  ${TOP_BINARY_DIR}/lib)
endif()


if(LYX_ENABLE_CXX11 MATCHES "AUTO")
  # Set to some meaningful default
  find_package(CXX11Compiler)
  if(NOT CXX11COMPILER_FOUND)
    set(LYX_ENABLE_CXX11 OFF CACHE TYPE STRING FORCE)
  else()
    if(CMAKE_CXX_COMPILER_ID MATCHES "GNU")
      execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
      if(NOT GCC_VERSION VERSION_LESS 4.3)
        set(LYX_ENABLE_CXX11 ON CACHE TYPE STRING FORCE)
      else()
        set(LYX_ENABLE_CXX11 OFF CACHE TYPE STRING FORCE)
      endif()
    else()
      # Not a gnu compiler
      if(CMAKE_CXX_COMPILER_ID MATCHES "^[cC]lang$")
        set(LYX_ENABLE_CXX11 ON CACHE TYPE STRING FORCE)
      else()
        set(LYX_ENABLE_CXX11 OFF CACHE TYPE STRING FORCE)
      endif()
    endif()
  endif()
endif()
set(LYX_GCC11_MODE)
if(UNIX OR MINGW)
	execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpversion OUTPUT_VARIABLE GCC_VERSION OUTPUT_STRIP_TRAILING_WHITESPACE)
	message(STATUS "Using GCC version ${GCC_VERSION}")
	if(GCC_VERSION VERSION_LESS 4.9)
		# <regex> in gcc is unusable in versions less than 4.9.0
		# see https://gcc.gnu.org/bugzilla/show_bug.cgi?id=53631
		set(LYX_USE_STD_REGEX 0)
	else()
		if (LYX_ENABLE_CXX11)
			set(LYX_USE_STD_REGEX 1)
		endif()
	endif()
	if (LYX_ENABLE_CXX11)
		find_package(CXX11Compiler)
		if(NOT CXX11COMPILER_FOUND)
			message(FATAL_ERROR "A C++11 compatible compiler is required.")
		endif()
		set(LYX_GCC11_MODE "${CXX11_FLAG}")
	endif()
else()
	set(LYX_USE_STD_REGEX 0)
#	if(MSVC10)
#		set(LYX_USE_STD_REGEX 1) #TODO should we use it in ECMAScript mode?
#	endif()
endif()


set(VERSION_INFO "CMake Build")

# Try to get some informations from configure.ac

include(LyXPaths)
file(STRINGS "${TOP_SRC_DIR}/configure.ac" _config_lines)

if(WIN32)
	set(CMAKE_PREFIX_PATH Specify-path-to-Qt CACHE PATH "Used Qt version")
	if(MSVC)
		set(LYX_3RDPARTY_BUILD ON CACHE BOOL "Build 3rdparty libraries" FORCE)
	endif()
	set(USE_WINDOWS_PACKAGING ON)
elseif(APPLE)
	set(USE_MACOSX_PACKAGING ON)
else()
	set(USE_POSIX_PACKAGING ON)
endif()

macro(setstripped _varname)
	if(${ARGC} GREATER 1)
		string(STRIP "${ARGV1}" _v)
		if(USE_POSIX_PACKAGING)
			string(TOLOWER ${_v} ${_varname})
		else()
			set(${_varname} ${_v})
		endif()
	else()
		set(${_varname})
	endif()
endmacro(setstripped)

foreach(_c_l ${_config_lines} )
	if(_c_l MATCHES "^AC_INIT\\(\([^,]+\),\([^,]+\), *\\[\([^,]+\)\\] *,\(.*\)")
		setstripped(PACKAGE_BASE ${CMAKE_MATCH_1})
		setstripped(PACKAGE_VERSION ${CMAKE_MATCH_2})
		setstripped(PACKAGE_BUGREPORT ${CMAKE_MATCH_3})
		if(PACKAGE_VERSION MATCHES "^\([0-9]+\)\\.\([0-9]+\)\(\\.\([0-9]+\)\)?.*$")
			set(LYX_MAJOR_VERSION ${CMAKE_MATCH_1})
			set(LYX_MINOR_VERSION ${CMAKE_MATCH_2})
			set(LYX_PATCH_VERSION ${CMAKE_MATCH_4})
			set(LYX_DIR_VER "LYX_DIR_${CMAKE_MATCH_1}${CMAKE_MATCH_2}x")
			set(LYX_USERDIR_VER "LYX_USERDIR_${CMAKE_MATCH_1}${CMAKE_MATCH_2}x")
			set(LYX_INSTALL_SUFFIX "${CMAKE_MATCH_1}.${CMAKE_MATCH_2}")
		endif()
	endif()

=== debian/changelog ===
lyx (2.2.0-2build2) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:28:17 +0000

lyx (2.2.0-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:25:25 +0000

lyx (2.2.0-2) unstable; urgency=high

  * Add lyx dependency on libqt4-svg, because it is not picked automatically
    (Closes: #829268, #829271)

 -- Nick Andrik <nick.andrik@gmail.com>  Sat, 02 Jul 2016 03:35:18 +0200

lyx (2.2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #827668)
    - Fixed: Missing character in cmex10.ttf (Closes: #388795)
    - Fixed: Indentation of bibitems (Closes: #622678)
    - Dropped patch workaround-gcc5-bug; applied upstream
    - Added patch fix-spelling-errors; fixes some typos
  * General debian/ maintenance
    - Update copyright to reflect boost location move
    - Update watch to a more generic version
    - Remove unneeded lyx.menu
    - Update Standards version to 3.9.8
    - Use secure URLs for Vcs-* fields
    - Enable all hardening options

 -- Nick Andrik <nick.andrik@gmail.com>  Mon, 20 Jun 2016 11:18:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: lyx
-Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
 Uploaders: Per Olofsson <pelle@debian.org>, Sven Hoexter <hoexter@debian.org>, Nick Andrik <nick.andrik@gmail.com>
 Section: editors
 Priority: optional
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-lyx/lyx.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-lyx/lyx.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-lyx/lyx.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-lyx/lyx.git
 Homepage: http://www.lyx.org/
 Build-Depends: python, debhelper (>= 9), dh-python, bc,
  libz-dev, libx11-dev, libenchant-dev, libmythes-dev,
@@ -18,7 +19,7 @@
 Architecture: any
 Replaces: lyx-common (<< 2.1.2-3)
 Breaks: lyx-common (<< 2.1.2-3)
-Depends: ${shlibs:Depends}, ${misc:Depends}, lyx-common (= ${source:Version}), xdg-utils
+Depends: ${shlibs:Depends}, ${misc:Depends}, lyx-common (= ${source:Version}), xdg-utils, libqt4-svg
 Recommends: texlive-latex-recommended, texlive-latex-extra, texlive-science, texlive-generic-recommended, texlive-generic-extra, texlive-fonts-recommended, preview-latex-style, dvipng, imagemagick, psutils, ghostscript, poppler-utils, fonts-lyx, evince-gtk | pdf-viewer, elyxer | tex4ht | hevea | tth | latex2html
 Suggests: rcs, latex-xcolor, groff, libtiff-tools, gnuhtml2latex, wv, chktex, noweb, sgmltools-lite, linuxdoc-tools, writer2latex, latex2rtf, librsvg2-bin | inkscape, texlive-xetex, etoolbox, lyx-dbg (= ${binary:Version})
 Description: document processor

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_PREPEND := -Wl,-z,defs -Wl,--as-needed
 
 %:

## lyx 2.2.2

=== 3rdparty/hunspell/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(hunspell)

set(HUNSPELL_VERSION 1.3.3)

set(SRCDIR ${CMAKE_CURRENT_SOURCE_DIR}/${HUNSPELL_VERSION}/src)

include_directories(./ ${SRCDIR}/hunspell ${SRCDIR}/parsers ${SRCDIR}/tools)

if(WIN32)
    include_directories(${SRCDIR}/win_api)
    set(HUNCONFIG ${SRCDIR}/win_api/config.h)
endif()

# LIBS
set(SRCS
    ${SRCDIR}/hunspell/affentry.cxx
    ${SRCDIR}/hunspell/affixmgr.cxx
    ${SRCDIR}/hunspell/csutil.cxx
    ${SRCDIR}/hunspell/dictmgr.cxx
    ${SRCDIR}/hunspell/hashmgr.cxx
    ${SRCDIR}/hunspell/suggestmgr.cxx
    ${SRCDIR}/hunspell/license.myspell
    ${SRCDIR}/hunspell/license.hunspell
    ${SRCDIR}/hunspell/phonet.cxx
    ${SRCDIR}/hunspell/filemgr.cxx
    ${SRCDIR}/hunspell/hunzip.cxx
    ${SRCDIR}/hunspell/hunspell.cxx
    ${SRCDIR}/hunspell/replist.cxx)

set(HEADERS
    ${SRCDIR}/hunspell/affentry.hxx
    ${SRCDIR}/hunspell/htypes.hxx
    ${SRCDIR}/hunspell/affixmgr.hxx
    ${SRCDIR}/hunspell/csutil.hxx
    ${SRCDIR}/hunspell/hunspell.hxx
    ${SRCDIR}/hunspell/atypes.hxx
    ${SRCDIR}/hunspell/dictmgr.hxx
    ${SRCDIR}/hunspell/hunspell.h
    ${SRCDIR}/hunspell/suggestmgr.hxx
    ${SRCDIR}/hunspell/baseaffix.hxx
    ${SRCDIR}/hunspell/hashmgr.hxx
    ${SRCDIR}/hunspell/langnum.hxx
    ${SRCDIR}/hunspell/phonet.hxx
    ${SRCDIR}/hunspell/filemgr.hxx
    ${SRCDIR}/hunspell/hunzip.hxx
    ${SRCDIR}/hunspell/w_char.hxx
    ${SRCDIR}/hunspell/replist.hxx
    ${SRCDIR}/hunspell/hunvisapi.h)

add_definitions(-DHUNSPELL_STATIC)
add_library(hunspell STATIC ${HEADERS} ${SRCS} ${HUNCONFIG})

set(HUNSPELL_LIBRARY hunspell CACHE STRING "Hunspell library" FORCE)
set(HUNSPELL_INCLUDE_DIR ${SRCDIR} CACHE STRING "Hunspell include dir" FORCE)
set(HUNSPELL_FOUND CACHE STRING "Hunspell found" FORCE)

set_target_properties(hunspell PROPERTIES FOLDER "3rd_party")

=== src/client/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2008-2011 Peter Kümmel, <syntheticpp@gmx.net>
# Copyright (c) 2008-2011 Kornel Benko, <Kornel.Benko@berlin.de>
#

set(_lyxclient lyxclient${PROGRAM_SUFFIX})
project(${_lyxclient})

file(GLOB _lyxclient_sources ${TOP_SRC_DIR}/src/client/*.cpp)
file(GLOB _lyxclient_headers ${TOP_SRC_DIR}/src/client/*.h)

list(REMOVE_ITEM _lyxclient_headers "${TOP_SRC_DIR}/src/client/pch.h")
list(REMOVE_ITEM _lyxclient_sources "${TOP_SRC_DIR}/src/client/lyxclient.cpp")

include_directories(BEFORE 
	"${TOP_SRC_DIR}/src/client" 
	"${TOP_SRC_DIR}/3rdparty/boost" 
	${ZLIB_INCLUDE_DIR})

add_executable(${_lyxclient} ${_lyxclient_sources} ${_lyxclient_headers})

target_link_libraries(${_lyxclient}
	support
	${Lyx_Boost_Libraries}
	${ICONV_LIBRARY}
	${QT_QTCORE_LIBRARY}
	${QT_QTGUI_LIBRARY})

lyx_target_link_libraries(${_lyxclient} Magic ASPELL)

if(APPLE)
	target_link_libraries(${_lyxclient} "-framework AppKit")
endif()

if(CYGWIN)
	target_link_libraries(${_lyxclient} shlwapi)
endif()

install(TARGETS ${_lyxclient} DESTINATION ${LYX_UTILITIES_INSTALL_PATH})

=== src/frontends/CMakeLists.txt ===
# This file is part of LyX, the document processor.
# Licence details can be found in the file COPYING.
#
# Copyright (c) 2006-2011 Peter Kmmel, <syntheticpp@gmx.net>
#

project(frontends)

include_directories(${TOP_SRC_DIR}/src/frontends)

add_subdirectory(qt4) 

file(GLOB frontends_sources ${TOP_SRC_DIR}/src/frontends/${LYX_CPP_FILES})
file(GLOB frontends_headers ${TOP_SRC_DIR}/src/frontends/${LYX_HPP_FILES})


if(NOT LYX_MERGE_FILES)
	add_library(frontends ${library_type} ${frontends_sources} ${frontends_headers})
else()
	lyx_const_touched_files(_allinone  frontends_sources)
	add_library(frontends ${library_type} ${_allinone_files})
endif()
set_target_properties(frontends PROPERTIES FOLDER "applications/LyX")

target_link_libraries(frontends ${Lyx_Boost_Libraries})

project_source_group("${GROUP_CODE}" frontends_sources frontends_headers)

add_subdirectory(tests)

=== debian/changelog ===
lyx (2.2.2-1) unstable; urgency=medium

  [ Nick Andrik ]
  * New upstream release
  * Enable Qt5 support

  [ Sven Hoexter ]
  * Remove "etoolbox" from the list of suggested packages and update the package
    description accordingly. Thanks for the hint Adrian. (Closes: #833993)

 -- Nick Andrik <nick.andrik@gmail.com>  Sat, 05 Nov 2016 04:06:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: lyx
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
+Maintainer: Debian LyX Maintainers <pkg-lyx-devel@lists.alioth.debian.org>
 Uploaders: Per Olofsson <pelle@debian.org>, Sven Hoexter <hoexter@debian.org>, Nick Andrik <nick.andrik@gmail.com>
 Section: editors
 Priority: optional
@@ -10,8 +9,9 @@
 Homepage: http://www.lyx.org/
 Build-Depends: python, debhelper (>= 9), dh-python, bc,
  libz-dev, libx11-dev, libenchant-dev, libmythes-dev,
- autotools-dev, libqt4-dev, libboost-dev, libmagic-dev,
- libboost-filesystem-dev, libboost-signals-dev,
+ autotools-dev, libmagic-dev,
+ qtbase5-dev (>= 5.6.0), libqt5svg5-dev,
+ libboost-dev, libboost-filesystem-dev, libboost-signals-dev,
  libboost-iostreams-dev, libboost-regex-dev, libboost-test-dev,
  pkg-config, tex-common
 
@@ -19,9 +19,9 @@
 Architecture: any
 Replaces: lyx-common (<< 2.1.2-3)
 Breaks: lyx-common (<< 2.1.2-3)
-Depends: ${shlibs:Depends}, ${misc:Depends}, lyx-common (= ${source:Version}), xdg-utils, libqt4-svg
+Depends: ${shlibs:Depends}, ${misc:Depends}, lyx-common (= ${source:Version}), xdg-utils
 Recommends: texlive-latex-recommended, texlive-latex-extra, texlive-science, texlive-generic-recommended, texlive-generic-extra, texlive-fonts-recommended, preview-latex-style, dvipng, imagemagick, psutils, ghostscript, poppler-utils, fonts-lyx, evince-gtk | pdf-viewer, elyxer | tex4ht | hevea | tth | latex2html
-Suggests: rcs, latex-xcolor, groff, libtiff-tools, gnuhtml2latex, wv, chktex, noweb, sgmltools-lite, linuxdoc-tools, writer2latex, latex2rtf, librsvg2-bin | inkscape, texlive-xetex, etoolbox, lyx-dbg (= ${binary:Version})
+Suggests: rcs, latex-xcolor, groff, libtiff-tools, gnuhtml2latex, wv, chktex, noweb, sgmltools-lite, linuxdoc-tools, writer2latex, latex2rtf, librsvg2-bin | inkscape, texlive-xetex, lyx-dbg (= ${binary:Version})
 Description: document processor
  LyX is an almost WYSIWYG-frontend for LaTeX. It makes the power and
  typesetting quality of LaTeX available for people who are used to
@@ -42,7 +42,7 @@
   * noweb: import noweb files
   * rcs: integrated version control
   * sgmltools-lite: export SGML DocBook documents
-  * texlive-xetex, etoolbox: use the XeTeX typesetting system
+  * texlive-xetex: use the XeTeX typesetting system
   * wv: import MS Word documents
 
 Package: lyx-common

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_PREPEND := -Wl,-z,defs -Wl,--as-needed
+export DEB_CXXFLAGS_MAINT_APPEND := -fPIC
+export QT_SELECT=qt5
 
 %:
 	dh $@ --with autotools_dev,python2,tex --builddirectory
@@ -12,12 +14,12 @@
 		--disable-rpath \
 		--enable-warnings \
 		--enable-nls \
+		--enable-qt5 \
 		--with-gnu-ld \
 		--without-aspell \
 		--without-hunspell \
 		--with-enchant \
 		--with-x \
-		--without-included-gettext \
 		--without-included-boost \
 		--without-included-mythes \
